package com.example.livingai.domain.usecases

import com.example.livingai.domain.model.AnimalRating
import com.example.livingai.domain.repository.business.AnimalRatingRepository
import kotlinx.coroutines.flow.Flow

class GetAnimalRatings(
    private val animalRatingRepository: AnimalRatingRepository
) {
    operator fun invoke(animalId: String): Flow<AnimalRating?> {
        return animalRatingRepository.getAnimalRating(animalId)
    }
}
